function flatfield, file, flat, biassec, datasec

; ------------------- read science file
data0=mrdfits(file, 0, hdr, /DSCALE)
data=oscansub(data0, biassec, datasec)
mwrfits, data, 'data.fits', /create

; ------------------- read and normalize the flat file
flat0=mrdfits(flat, 0, hdr, /DSCALE)
flat=oscansub(flat0, biassec, datasec)
flat=flat/median(flat)
mwrfits, flat, 'flat.fits', /create

mwrfits, data/flat, 'dataflat.fits', /create
return, data/flat


end
