pro mktycube, paramfile

fwhmslit=3.9
readcol, paramfile, files, offsets, format='(a,f)'

nfiles=n_elements(files)
aux=mrdfits(files[0], 0)
nx=(size(aux))[1]
ny=(size(aux))[2]

data=fltarr(nfiles, nx, ny)
for i=0, nfiles-1 do data[i,*,*]=mrdfits(files[i], 0)







xarr=dblarr(nx, ny)
yarr=dblarr(nx, ny)
lamarr=dblarr(nx, ny)
ysarr=dblarr(nx, ny)


restore, 'wavepoly.idl'
restore, 'distpoly.idl'
;lamarr=poly_xy(xarr, yarr, wavepoly)
;ysarr=poly_xy(xarr, yarr, distpoly)
for i=0, nx-1 do lamarr[i,*]=sfiteval(xarr[i,*], yarr[i,*], 6, kx=wavepoly, /IRREGULAR, /MAX_DEGREE)
for i=0, nx-1 do ysarr[i,*]=sfiteval(xarr[i,*], yarr[i,*], 4, kx=distpoly, /IRREGULAR, /MAX_DEGREE)



for i=0, ny-1 do xarr[*,i]=dindgen(nx)
for i=0, nx-1 do yarr[i,*]=dindgen(ny)


nxcube=nfiles
nycube=round(ny/fwhmslit)+1
nlcube=nx
cube=dblarr(nxcube, nycube, nlcube)-666



for i=0, nxcube-1 do begin
   for j=0, nycube-1 do begin
   print, 'DOING COLUMN ', i+1, " OF ", nxcube, ' ROW ', j+1, ' OF ', nycube
      for k=0, nlcube-1 do begin
         sely=where(ysarr[k,*] ge j*fwhmslit and ysarr[k,*] lt (j+1)*fwhmslit)
         if (sely ne [-1]) then cube[i,j,k]=median(data[i,k,sely])
      endfor
   endfor
endfor



mwrfits, cube[*,*,0], 'tycube.fits', /create
for i=1, nlcube-1 do mwrfits, cube[*,*,i], 'tycube.fits'



stop
end
