pro pipe, in, out
loadct, 39

biassec=[4069,4186,864,3154]
datasec=[0,4063,859,3159]
;datasec=[0,4063,1428,2577]
slitimg='data/ccd1010.fits'
htmmask='data/ccd1012.fits'
arcimg='data/ccd5022.fits'
flatimg='data/ccd5013.fits'
;scienceimg='data/ccd2049.fits'
scienceimg=in

; TRACE SLIT
;xslit=traceslit(slitimg, biassec, datasec, 1414.)
;save, xslit, filename='xslit.idl'
restore, 'xslit.idl'


; TRACE HARTMANN MASK
;distpoly=tracehtm(htmmask, biassec, datasec, xslit)
;save, distpoly, filename='distpoly.idl'
restore, 'distpoly.idl'


; WAVELENGTH SOLUTION
;wavepoly=tracearc(arcimg, biassec, datasec)
;save, wavepoly, filename='wavepoly.idl'
restore, 'wavepoly.idl'



dataflat=flatfield(scienceimg, flatimg, biassec, datasec)

datasub=skysub(dataflat, biassec, datasec, distpoly, wavepoly)

mwrfits, datasub, out, /create

end
